.frame {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    height: 400px;
    margin-top: -200px;
    margin-left: -200px;
    border-radius: 2px;
    box-shadow: 1px 2px 10px 0px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    background: #5A717B;
    color: #fff;
    font-family: 'Open Sans', Helvetica, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.checkbox {
    position: absolute;
    width: 40px;
    height: 40px;
    top: 180px;
    left: 180px;
}
.checkbox input {
    display: none;
}
.checkbox input:checked ~ .toggle {
    border-width: 14px;
    background: #5FD17A;
    box-shadow: 2px 2px 4px 0 rgba(0, 0, 0, 0.2), inset 2px 2px 4px 0 rgba(0, 0, 0, 0);
}
.checkbox input:checked ~ .sparkles .sparkle-1 {
    -webkit-transform: rotate(0deg) translateY(-50px) scaleY(1);
    transform: rotate(0deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-2 {
    -webkit-transform: rotate(30deg) translateY(-50px) scaleY(1);
    transform: rotate(30deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-3 {
    -webkit-transform: rotate(60deg) translateY(-50px) scaleY(1);
    transform: rotate(60deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-4 {
    -webkit-transform: rotate(90deg) translateY(-50px) scaleY(1);
    transform: rotate(90deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-5 {
    -webkit-transform: rotate(120deg) translateY(-50px) scaleY(1);
    transform: rotate(120deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-6 {
    -webkit-transform: rotate(150deg) translateY(-50px) scaleY(1);
    transform: rotate(150deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-7 {
    -webkit-transform: rotate(180deg) translateY(-50px) scaleY(1);
    transform: rotate(180deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-8 {
    -webkit-transform: rotate(210deg) translateY(-50px) scaleY(1);
    transform: rotate(210deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-9 {
    -webkit-transform: rotate(240deg) translateY(-50px) scaleY(1);
    transform: rotate(240deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-10 {
    -webkit-transform: rotate(270deg) translateY(-50px) scaleY(1);
    transform: rotate(270deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-11 {
    -webkit-transform: rotate(300deg) translateY(-50px) scaleY(1);
    transform: rotate(300deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox input:checked ~ .sparkles .sparkle-12 {
    -webkit-transform: rotate(330deg) translateY(-50px) scaleY(1);
    transform: rotate(330deg) translateY(-50px) scaleY(1);
    opacity: 0;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.checkbox .toggle {
    position: relative;
    z-index: 5;
    display: block;
    box-sizing: border-box;
    width: 40px;
    height: 40px;
    border: 2px solid #fff;
    border-radius: 50%;
    background: transparent;
    cursor: pointer;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    box-shadow: 2px 2px 4px 0 rgba(0, 0, 0, 0.2), inset 2px 2px 4px 0 rgba(0, 0, 0, 0.2);
}
.checkbox .sparkles {
    position: absolute;
    width: 40px;
    height: 40px;
    top: 0px;
    left: 0px;
}
.checkbox .sparkles .sparkle {
    position: absolute;
    width: 2px;
    height: 16px;
    top: 12px;
    left: 19px;
    background: #fff;
    -webkit-transition: none;
    transition: none;
}
.checkbox .sparkles .sparkle-1 {
    -webkit-transform: rotate(0deg) translateY(-15px) scaleY(0);
    transform: rotate(0deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-2 {
    -webkit-transform: rotate(30deg) translateY(-15px) scaleY(0);
    transform: rotate(30deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-3 {
    -webkit-transform: rotate(60deg) translateY(-15px) scaleY(0);
    transform: rotate(60deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-4 {
    -webkit-transform: rotate(90deg) translateY(-15px) scaleY(0);
    transform: rotate(90deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-5 {
    -webkit-transform: rotate(120deg) translateY(-15px) scaleY(0);
    transform: rotate(120deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-6 {
    -webkit-transform: rotate(150deg) translateY(-15px) scaleY(0);
    transform: rotate(150deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-7 {
    -webkit-transform: rotate(180deg) translateY(-15px) scaleY(0);
    transform: rotate(180deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-8 {
    -webkit-transform: rotate(210deg) translateY(-15px) scaleY(0);
    transform: rotate(210deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-9 {
    -webkit-transform: rotate(240deg) translateY(-15px) scaleY(0);
    transform: rotate(240deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-10 {
    -webkit-transform: rotate(270deg) translateY(-15px) scaleY(0);
    transform: rotate(270deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-11 {
    -webkit-transform: rotate(300deg) translateY(-15px) scaleY(0);
    transform: rotate(300deg) translateY(-15px) scaleY(0);
}
.checkbox .sparkles .sparkle-12 {
    -webkit-transform: rotate(330deg) translateY(-15px) scaleY(0);
    transform: rotate(330deg) translateY(-15px) scaleY(0);
}
